GET https://api.zatomic.ai/v1/prompts/{promptId}/versions
POST https://api.zatomic.ai/v1/prompts/{promptId}/versions
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}
PATCH https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}
DELETE https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/scoring
POST https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/scoring
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/heatmap
POST https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/heatmap
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/balance
POST https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/balance
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/risk
POST https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/risk
POST https://api.zatomic.ai/v1/prompts/{promptId}/versions/{versionId}/improve
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Contexts
- The Context Object
- Create File Context
- Create Text Context
- Update Context
- Delete Context
- Retrieve Context
- Retrieve All Contexts
- Context Versions
- The Context Version Object
- Create File Context Version
- Create Text Context Version
- Update File Context Version
- Update Text Context Version
- Delete Context Version
- Retrieve Context Version
- Retrieve All Context Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Prompt Versions
- The Prompt Version Object
- Create Prompt Version
- Update Prompt Version
- Delete Prompt Version
- Retrieve Prompt Version
- Retrieve All Prompt Versions
- Calculate Prompt Version Score
- Retrieve Prompt Version Score
- Generate Prompt Version Heatmap
- Retrieve Prompt Version Heatmap
- Analyze Prompt Version Balance
- Retrieve Prompt Version Balance
- Analyze Prompt Version Risk
- Retrieve Prompt Version Risk
- Improve Prompt Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Prompt Versions
Prompt versions are where the actual prompt content is stored, maintained, and analyzed. All versions belong to a parent prompt in a specific workspace. New prompt versions can be auto-generated from a use case.
Versions can be expanded to include all of their scoring, balance, and heatmap data. You can also retrieve and create scoring, risk, balance, and heatmap objects for a version with their specific endpoints.
| Expands | |
|---|---|
| scoring | Retrieves the scoring object for the prompt version. |
| heatmap | Retrieves the heatmap object for the prompt version. |
| balance | Retrieves the balance object for the prompt version. |
| risk | Retrieves the risk object for the prompt version. |
Endpoints